/**
  ******************************************************************************
  * @file    vks232.h 
  * @author  kevin_guo
  * @version V1.2
  * @date    05-17-2020
  * @brief   Header files for vks232
  ******************************************************************************
  * @attention
  ******************************************************************************
  */

/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __VKS232_H
#define __VKS232_H

/* Includes ------------------------------------------------------------------*/
//˰ļݿͻƬӦ޸
#include "M451Series.h"
/* Exported types ------------------------------------------------------------*/
/* Exported constants --------------------------------------------------------*/
/* Exported macro ------------------------------------------------------------*/
/* Exported define -----------------------------------------------------------*/
//
#define OSC_OFF    	0x00         				// ر
#define OSC_ON    	0x01         				// 
#define DISP_OFF 		0x02								// LCD Bias
#define DISP_ON   	0x03         				// LCD Bias
//seg
//M0=0 1/2BIAS 100%DUTY
//pin123-DSӵ͵ƽ
//#define 	VKS232_SEGNUM			116
//M0=1 0BIAS 100%DUTY
#define 	M0		1  //pin123-DSӸߵƽ
#define 	VKS232_SEGNUM			116

//¹ܽøݿͻƬӦ޸ 
#define VKS232_CS_PIN         BIT12
#define VKS232_CS_PORT        PA
#define VKS232_CS_IO          PA12

#define VKS232_RD_PIN         BIT14
#define VKS232_RD_PORT        PA
#define VKS232_RD_IO          PA14

#define VKS232_WR_PIN         BIT13
#define VKS232_WR_PORT        PA
#define VKS232_WR_IO          PA13

#define VKS232_DAT_PIN        BIT15
#define VKS232_DAT_PORT       PA
#define VKS232_DAT_IO         PA15

//¹ܽݿͻƬӦ޸
#define VKS232_CS_H() 				VKS232_CS_IO = 1 	//CS͸ߵƽ
#define VKS232_CS_L() 				VKS232_CS_IO = 0 	//CS͵͵ƽ 

#define VKS232_RD_H() 				VKS232_RD_IO = 1 	//RD͸ߵƽ 
#define VKS232_RD_L() 				VKS232_RD_IO = 0 	//RD͵͵ƽ 

#define VKS232_WR_H() 				VKS232_WR_IO = 1 	//WR͸ߵƽ 
#define VKS232_WR_L() 				VKS232_WR_IO = 0 	//WR͵͵ƽ 

#define VKS232_DATA_H() 			VKS232_DAT_IO = 1 //WR͸ߵƽ 
#define VKS232_DATA_L() 			VKS232_DAT_IO = 0 //WR͵͵ƽ 
/* Exported functions ------------------------------------------------------- */
void Vks232_Init(void);
void Vks232_DisAll(unsigned char dat);
void Vks232_DisSegComOn(unsigned char seg,unsigned char com);
void Vks232_DisSegComOff(unsigned char seg,unsigned char com);

void Vks232_Main(void);
#endif  /*__VKS232_H*/

/************************END OF FILE****/
